QAAFFileDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QAAFFileDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    AAFFileDescriptorImpl, AES3PCMDescriptorImpl, AIFCDescriptorImpl, ANCDataDescriptorImpl, CDCIDescriptorImpl, DataEssenceDescriptorImpl, HTMLDescriptorImpl, MPEGVideoDescriptorImpl, MultipleDescriptorImpl, PictureDescriptorImpl, PolyFileDescriptorImpl, RGBADescriptorImpl, SoundDescriptorImpl, TIFFDescriptorImpl, VBIDataDescriptorImpl, WAVEDescriptorImpl, WAVEPCMDescriptorImpl

      public interface QAAFFileDescriptor
      extends AAFFileDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTwentyFourBitAudio()`
    `void` | `setTwentyFourBitAudio(Integer twentyFourBitAudio)`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `clone, getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getTwentyFourBitAudio

          @Int32
          int getTwentyFourBitAudio()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTwentyFourBitAudio

          void setTwentyFourBitAudio(@Int32
                                     Integer twentyFourBitAudio)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.